Project

General

Profile

Feature #593 ยป 0075-build_appimages.sh-Build-sdl2-client-AppImage.patch

Marko Lindqvist, 05/12/2024 03:31 AM

View differences:

platforms/appimage/build_appimages.sh
exit 1
fi
# $1 - Client type
# $2 - Client part of the AppImage name as produced by linuxdeploy
client_appimage() {
if ! mkdir "AppDir/$1" || ! mkdir "build/$1" ; then
echo "Failed to create $1 directories!" >&2
......
fi
cd "${BUILD_ROOT}"
rm -f "AppDir/$1/usr/share/applications/org.freeciv.server.desktop"
if ! tools/linuxdeploy-x86_64.AppImage --appdir "AppDir/$1" --output appimage
then
echo "$1 image build with linuxdeploy failed!" >&2
return 1
fi
if ! mv Freeciv-x86_64.AppImage "Freeciv-$1-x86_64.AppImage" ; then
if ! mv Freeciv$2-x86_64.AppImage "Freeciv-$1-x86_64.AppImage" ; then
echo "$1 appimage rename failed!" >&2
return 1
fi
......
exit 1
fi
if ! client_appimage gtk4 ; then
if ! client_appimage gtk4 "" ||
! client_appimage sdl2 "_(SDL2)"
then
exit 1
fi
    (1-1/1)